NTPSWEEP(1)

NAME
ntpsweep - print various information about given NTP servers

SYNOPSIS

ntpsweep [-V | --version] [-l host]... [-p] [-m number] [-s prefix] [-h string] [hostfile...]

DESCRIPTION

ntpsweep prints per host the NTP stratum level, the clock offset in seconds, the daemon version, the operating system and the processor. Optionally recursing through all peers.

If no hosts are specified, ntpsweep reports on localhost.

ntpsweep relies on ntpq and Mode 6 queries to probe servers. This depends on the remote host’s restrict configuration allowing queries. Nowadays effectively all public hosts set noquery, so this script is unlikely to be useful unless you have multiple specially- configured timeservers on a LAN.

OPTIONS

-l string, --host-list=string
    Host to execute actions on. This option may appear an unlimited number of times.

    Use this option to specify the host on which this script operates. May appear multiple times. Multiple hosts may be specified, delimited by commas.

-p, --peers
    Recursively list all peers a host synchronizes to.

-m number, --maxlevel=number
    Traverse peers up to this level (4 is a reasonable number). This option takes an integer number as its argument.

-s string, --strip=string
    Strip this string from hostnames.

-h string, --host=string
    Specify a single host. Deprecated option for backwards compatibility.

-V, --version
    Print the version string and exit.

If hostfiles are specified, they are treated as lists of hostnames to be swept, one per line.

EXIT STATUS

One of the following exit values will be returned:

0 (EXIT_SUCCESS)
    Successful program execution.

1 (EXIT_FAILURE)
    The operation failed or the command syntax was not valid.